use serde::Deserialize;

#[derive(Debug,Deserialize)]
#[allow(unused)]
pub struct AnalyzeQuality {
    bss_id:Option<String>,
    code_bss:Option<String>,
    urn_bss:Option<String>,
    precision_coordonnees:Option<i32>,
    longitude:Option<f32>,
    latitude:Option<f32>,
    altitude:Option<String>,
    code_insee_actuel:Option<String>,
    nom_commune_actuel:Option<String>,
    num_departement:Option<String>,
    nom_departement:Option<String>,
    code_region:Option<String>,
    nom_region:Option<String>,
    code_circonscriptions_administrative_bassin:Option<String>,
    nom_circonscriptions_administrative_bassin:Option<String>,
    code_bassin_dce:Option<String>,
    nom_bassin_dce:Option<String>,
    urn_bassin_dce:Option<String>,
    code_type_point_eau:Option<i32>,
    nom_type_point_eau:Option<String>,
    codes_entite_hg_bdlisa:Option<Vec<Option<String>>>,
    noms_entite_hg_bdlisa:Option<Vec<Option<String>>>,
    urns_bdlisa:Option<Vec<Option<String>>>,
    codes_masse_eau_rap:Option<Vec<Option<String>>>,
    noms_masse_eau_rap:Option<Vec<Option<String>>>,
    urns_masse_eau_rap:Option<Vec<Option<String>>>,
    codes_masse_eau_edl:Option<Vec<Option<String>>>,
    noms_masse_eau_edl:Option<Vec<Option<String>>>,
    urns_masse_eau_edl:Option<Vec<Option<String>>>,
    codes_reseau:Option<Vec<Option<String>>>,
    noms_reseau:Option<Vec<Option<String>>>,
    uris_reseau:Option<Vec<Option<String>>>,
    code_type_qualito: Option<i32>,
    nom_type_qualito: Option<String>,
    uri_type_qualito: Option<String>,
    code_producteur: Option<String>,
    nom_producteur:Option<String>,
    uri_producteur:Option<String>,
    date_debut_prelevement:Option<String>,
    code_param:Option<i32>,
    uri_param:Option<String>,
    nom_param:Option<String>,
    code_fraction:Option<i32>,
    nom_fraction:Option<String>,
    uri_fraction:Option<String>,
    resultat:Option<f32>,
    code_remarque_analyse:Option<i32>,
    nom_remarque_analyse:Option<String>,
    uri_remarque_analyse:Option<String>,
    code_lieu_analyse:Option<i32>,
    nom_lieu_analyse:Option<String>,
    uri_lieu_analyse:Option<String>,
    code_methode:Option<i32>,
    uri_methode:Option<String>,
    nom_methode:Option<String>,
    code_unite:Option<String>,
    nom_unite:Option<String>,
    uri_unite:Option<String>,
    symbole_unite:Option<String>,
    code_statut_analyse:Option<String>,
    nom_statut_analyse:Option<String>,
    uri_statut_analyse:Option<String>,
    code_qualification:Option<String>,
    nom_qualification:Option<String>,
    uri_qualification:Option<String>,
    limite_quantification:Option<f32>,
    limite_detection:Option<f32>,
    seuil_saturation:Option<f32>,
    incertitude_analytique:Option<f32>,
    codes_groupe_parametre:Option<Option<Vec<Option<String>>>>,
    uris_groupe_parametre:Option<Option<Vec<Option<String>>>>,
    noms_groupe_parametre:Option<Option<Vec<Option<String>>>>
}